# Generated from first_ever_studio_game-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name first_ever_studio_game

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: The millionth studio game online
License: MIT
URL: https://github.com/ohboyd/Game-
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
Studio Game
Program is meant to add multiple players to a game, and then give or remove
health and points based on random rolls of a die. These players also
accumulate random treasures that give them bonus points. Included are some
other mixins that have weighted die, or players that have higher chances of
gaining health and different point values dependent upon their treasures.
After many rounds, the stats are printed to see what player came out on top. A
great game if you want to bet against random odds with your coworkers that
know too much about sports. 
Getting Started:
Just need Ruby to make this baby work. 
Prerequisites:
Computer (preferably a mac), and ruby 2.3.3, plus some of that good ol'
worldwide web. 
License: 
This project is licensed under the MIT License - see the LICENSE.md file for
details
Acknowledgments:
The Pragmatic Studio, Radbear, God, my parents (probably), spotify mathrock
playlists, the movie Swordfish because of that one scene where Halle Berry
does that thing to the guy coding, etc. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/studio_game
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.0-1
- Initial package
